Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class SystemEventSubscriptionTerminationImminent

    java.lang.Object
      com.nortel.soa.oi.cct.types.SystemEventSubscriptionTerminationImminent

    public class SystemEventSubscriptionTerminationImminent

extends java.lang.Object

Java class for systemEventSubscriptionTerminationImminent complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="systemEventSubscriptionTerminationImminent">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="remainingTimeInMillis" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`SystemEventSubscriptionTerminationImminent()`

Method Summary
`long` | `getRemainingTimeInMillis()` Gets the value of the remainingTimeInMillis property.
`void` | `setRemainingTimeInMillis(long value)` Sets the value of the remainingTimeInMillis property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemEventSubscriptionTerminationImminent

    public SystemEventSubscriptionTerminationImminent()

Method Detail

### getRemainingTimeInMillis

    public long getRemainingTimeInMillis()

  Gets the value of the remainingTimeInMillis property.

### setRemainingTimeInMillis

    public void setRemainingTimeInMillis(long value)

  Sets the value of the remainingTimeInMillis property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.